![ASSA ABLOY](https://upload.wikimedia.org/wikipedia/commons/e/e8/Assa-Abloy-Logo.svg)
<sup>Global web - web components</sup>

# Cards Grid

**Custom HTML element**
```html
<gw-group-cards-grid content="" theme=""></gw-group-cards-grid>
```

**Properties**
| Name          | Type      | Description                   |
| ------------- | --------- | ----------------------------- |
| content       | String    | base64 encoded object         |
| theme         | String    |                               |

**content**
```js
{
  "url": "",
  "title": "",
  "text": "",
  "primaryCard": {
    "title": "",
    "link": {
      "text": "",
      "url": ""
    },
    "visible": true
  },
  "noCardMessage": "",
  "cards": [
    {
      "title": "",
      "text": "",
      "type": "default" | "primary" | "feature" | "product" | "category" | "story"
      "image": {
        "width": 0,
        "height": 0,
        "url": "",
        "renditions": {
          "blur-up": "",
          "400": "",
          "800": "",
          "1200": "",
          "1600": "",
          "2500": ""
        },
        "smartCrops": {
          "1-1-S": "",
          "1-1-M": "",
          "1-1-L": "",
          "4-3-S": "",
          "4-3-M": "",
          "4-3-L": "",
          "3-4-S": "",
          "3-4-M": "",
          "3-4-L": "",
          "8-3-S": "",
          "8-3-M": "",
          "8-3-L": "",
          "16-9-S": "",
          "16-9-M": "",
          "16-9-L": "",
          "blur-up": ""
        }
      },
      "mediaType": "video" | "image" | "dynamicMediaVideo"
      "video": {
        "title": "",
        "src": ""
      },
      "dynamicMediaVideo": {
        "serverurl": "",
        "videoserverurl": "",
        "contentUrl": "",
        "asset": "",
        "poster": {
          "width": 1600,
          "height": 900,
          "url": "",
          "alt": "",
          "renditions": {},
          "smartCrops": {}
        }
      }
      "link": {
        "text": "",
        "url": ""
      }
    },
  ],
  "config": {
    "cardType": "default" | "primary" | "feature" | "product" | "story"
    "reversedLayout": false,
    "cardSize": "small",
    "aspectRatio": "1-1" | "4-3" | "3-4" | "8-3" | "16-9",
    "pagination": {
      "active": true,
      "perPage": 8
    },
    "filtering": {
      "active": true,
      "tagCategories": [
        {
          "displayLabel": "Topic",
          "category": "topic",
          "tags": ["topic1", "topic2"]
        },
      ]
    },
    "padding": {
      "top": true,
      "bottom": true
    },

    // Translations
  "loading": "Loading...",
  "showMore": "Show More",
  "result": "result",
  "results": "results",
  "nothingMoreToShow": "Nothing more to show",
  "showingCurrentOfMax": "Showing {{current}} of {{max}}",
  "newestFirst": "Newest first",
  "oldestFirst": "Oldest first",
  "alphabeticallyAZ": "A-Z",
  "alphabeticallyZA": "Z-A",
  "sortBy": "Sort by",
  "seeProduct": "See product",
  "exploreCategory": "Explore category"
  "showingCurrentOfMax": "Showing {{current}} of {{max}}",
  "all": "all" // new
  },
}
```

**Expected API call response**

```js
{
  "filtering": {
    "active": true | false
    "tagCategories": [
      {
        "displayLabel": "Topic",
        "category": "topic",
        "tags": ["topic1", "topic2"]
      }
    ]
  },
  "items": [
    {
      "id": "",
      "eyebrow": {
        "title": "",
        "text": ""
      },
      "title": "",
      "type": "",
      "created": "",
      "tags": [
        {
          "category": "topic",
          "tag": "topic1"
        }
      ],
      "link": {
        "text": ""
        "url": ""
      },
      "image": {}
      }
    }
  ]
}
```

**theme**
Two different background options:

* "theme-alt-1" (white)
* "theme-alt-2" (grey)

**Dependencies**
`@assaabloy/gw-group-vendor`
`@assaabloy/brand-styles`